Subject: [RFC RESEND 1/4] arm/dts: OMAP: Add timer nodes

From: [email-masked] (Jon Hunter)
Date: Fri, 7 Sep 2012 16:16:37 -0500

On 09/07/2012 03:56 PM, Tony Lindgren wrote:
> * Jon Hunter <[email-masked]> [120907 13:27]:
>> Hi Tony,
>>
>> On 08/30/2012 03:14 PM, Tony Lindgren wrote:
>>> * Jon Hunter <[email-masked]> [120816 08:05]:
>>>> On 08/15/2012 04:11 AM, Vaibhav Hiremath wrote:
>>>>>
>>>>> Did we get conclude on this? I haven't got anything further on this
>>>>> thread, this may block baseport support for the new devices in omap2
>>>>> family, like AM33xx and OMAP5.
>>>>
>>>> Sorry I have been out of the office. However, no update on this so far.
>>>> I need to check with Tony if he has any preference for handling this. I
>>>> will follow-up with him and keep you posted.
>>>
>>> Jon please repost these without the RFC in the subject line
>>> assuming the pending comments have been addressed so people
>>> can ack them.
>>
>> I have been working on updating this series to request timer by their
>> capabilities and avoid using a device ID altogether. In the updated
>> series using device IDs to request a timer will still work as it does
>> today, but not when you boot with DT. I have something working now that
>> is booting fine on omap4 with and without DT [1]. However, I need to do
>> more thorough testing of the timers in general, probably next week.
>>
>> Once I have completed my testing I would like to post for review.
>> However, since posting the original series I have been working on some
>> needed timer fixes/clean-up which I posted this week [2] for review.
>> Ideally I should rebase my DT timer work on my timer fixes series but
>> wanted to see what you thought first.
> 
> Yeah those all look good to me. Want to do a git branch against
> v3.6-rc4 for those once the comments are dealt with so I can pull
> it in for testing to start with?

The fixes series should already be based on top of 3.6-rc4 but will
update based upon comments. The only outstanding comment on those were
the implementation of the __omap_dm_timer_populate_errata() function.
Not sure if you have any comments. Vaibhav and myself are not completely
happy with it. I proposed something else but no feedback on that yet.

Cheers
Jon